DeluxHostAPI Reference
Storage Boxes

Add a Storage Box SSH key

POST
/v1/services/{id}/storage/ssh-keys

Exactly one of publicKey (an OpenSSH public key line: ed25519, RSA or ECDSA) or sshKeyId (a key from your account's key book). A private key is refused.

Authorization

apiToken storage:write
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: storage:write

Path Parameters

id*integer

The service id, as returned by GET /v1/services.

Request Body

application/json
  1. body
publicKey?string
sshKeyId?integer
label?string
Lengthlength <= 80

Response Body

The key as the node stored it.

application/json
  1. response
fingerprint*string

SHA256:…

type*string
label*string
curl -X POST 'https://api.deluxhost.net/v1/services/0/storage/ssh-keys' \  -H "Authorization: Bearer $DELUXHOST_TOKEN" \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "fingerprint": "string",  "type": "string",  "label": "string"}